%define	name	cavity
%define	version	5.5.7
%define	release	1
%define	serial	1
%define	prefix	/usr

Summary:	Calculate Reaction Cavity in Crystal
Name:		%{name}
Version:	%{version}
Release:	%{release}
Serial:		%{serial}
Copyright:	See COPYING in the archive
Group:		Applications/Engineering
Vendor:		Takashi Nemoto <tnemoto@eels.kuicr.kyoto-u.ac.jp>
Url:		http://eels.kuicr.kyoto-u.ac.jp/~tnemoto/sv/download.html
Source:		%{name}-%{version}.tar.gz
BuildRoot:	/var/tmp/%{name}-%{version}-root
Obsoletes:	cav4 cav5

%description
Program 'cavity' calculates the reaction space(we call it "cavity")
in the crystal.  The shape and volume of a "cavity" can be obtained.

See J. Am. Chem. Soc. (1981) 103 5805-

%prep
%setup -q -n %{name}-%{version}
if [ -f configure ]; then
	CPPFLAGS=$RPM_OPT_FLAGS \
	./configure --prefix=%{prefix};
else
	CPPFLAGS=$RPM_OPT_FLAGS \
	./autogen.sh --prefix=%{prefix};
fi

%build
CPPFLAGS=$RPM_OPT_FLAGS \
make

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
mkdir $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
cd $RPM_BUILD_ROOT/usr/bin
ln -s cav5 cavity 
ln -s cav5 cav4

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README doc examples
%{prefix}

%changelog
